Bug 589509 - RHEL 3 kvm guests with kmod-virtio installed sometimes kernel panic after conversion
RHEL 3 kvm guests with kmod-virtio installed sometimes kernel panic after con...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: virt-v2v (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Matthew Booth
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-06 06:45 EDT by Rita Wu
Modified: 2013-07-02 21:39 EDT (History)
5 users (show)

See Also:
Fixed In Version: 0.5.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-16 12:18:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen Shot (170.11 KB, image/png)
2010-05-06 06:45 EDT, Rita Wu
no flags Details
screen shot from /etc/fstab (254.79 KB, image/png)
2010-05-06 06:46 EDT, Rita Wu
no flags Details
virt-inspect.log before conversion (282.43 KB, text/plain)
2010-05-06 06:47 EDT, Rita Wu
no flags Details
conversion_trace.log during conversion (7.42 KB, text/plain)
2010-05-06 06:48 EDT, Rita Wu
no flags Details

  None (edit)
Description Rita Wu 2010-05-06 06:45:42 EDT
Created attachment 411917 [details]
Screen Shot

Description of problem:
My guest has many kernels installed, but some of them will be kernel panic after conversion

Version-Release number of selected component (if applicable):
virt-v2v-0.5.2-1.el5
v2v-libvirt-0.8.0-2.el5


How reproducible:
always

Steps to Reproduce:
1.#virt-v2v -f virt-v2v.conf -o rhev -osd nfs:/export kvm-RHEL-3.9-32.raw
2.Import the vm to run on rhevm

  
Actual results:
Kernel Panic

Expected results:
all of the kernels in the guest can boot succuessfully

Additional info:
/etc/grub.conf from guest:
# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd0,0)
#          kernel /vmlinuz-version ro root=/dev/hda2
#          initrd /initrd-version.img
#boot=/dev/hda
default=0
timeout=3
splashimage=(hd0,0)/grub/splash.xpm.gz
title Red Hat Enterprise Linux AS (2.4.21-63.ELsmp)
	root (hd0,0)
	kernel /vmlinuz-2.4.21-63.ELsmp ro root=LABEL=/
	initrd /initrd-2.4.21-63.ELsmp.img
title Red Hat Enterprise Linux AS (2.4.21-60.EL)
	root (hd0,0)
	kernel /vmlinuz-2.4.21-60.EL ro root=LABEL=/
	initrd /initrd-2.4.21-60.EL.img
title Red Hat Enterprise Linux AS (2.4.21-58.EL)
	root (hd0,0)
	kernel /vmlinuz-2.4.21-58.EL ro root=LABEL=/
	initrd /initrd-2.4.21-58.EL.img
title Red Hat Enterprise Linux AS (2.4.21-50.ELsmp)
	root (hd0,0)
	kernel /vmlinuz-2.4.21-50.ELsmp ro root=LABEL=/
	initrd /initrd-2.4.21-50.ELsmp.img
title Red Hat Enterprise Linux AS (2.4.21-50.EL)
	root (hd0,0)
	kernel /vmlinuz-2.4.21-50.EL ro root=LABEL=/
	initrd /initrd-2.4.21-50.EL.img
Comment 1 Rita Wu 2010-05-06 06:46:56 EDT
Created attachment 411918 [details]
screen shot from /etc/fstab
Comment 2 Rita Wu 2010-05-06 06:47:47 EDT
Created attachment 411919 [details]
virt-inspect.log before conversion
Comment 3 Rita Wu 2010-05-06 06:48:33 EDT
Created attachment 411920 [details]
conversion_trace.log during conversion
Comment 4 Matthew Booth 2010-05-10 11:40:51 EDT
Can you confirm which kernels work and which don't? I suspect this is the same as bug 587619, meaning that only the default kernel will work.
Comment 5 Rita Wu 2010-05-11 02:56:42 EDT
(In reply to comment #4)
> Can you confirm which kernels work and which don't? I suspect this is the same
> as bug 587619, meaning that only the default kernel will work.    

As the grub.conf described in Additional Info,the default kernel is 63.ELsmp, but it will become kernel panic.
Status of the coversion kernels:
63.ELsmp   kernel panic
60.EL      boot successfully
58.EL      boot successfully
50.ELsmp   kernel panic
50.EL      kernel panic
Comment 7 Matthew Booth 2010-05-14 04:54:14 EDT
Patch posted for this one here:

http://www.redhat.com/archives/libguestfs/2010-May/msg00068.html
Comment 8 Matthew Booth 2010-05-14 13:09:18 EDT
Fixed in 0.5.4
Comment 9 Rita Wu 2010-05-18 02:38:46 EDT
(In reply to comment #8)
> Fixed in 0.5.4    

Hi Matt, 

After you fix, does v2v still only support to convert the default kernel? Is it expected that only the default kernel can be booted successfully after conversion?
Comment 10 Matthew Booth 2010-05-18 04:13:22 EDT
Yes. This isn't a fix for the general problem of multiple kernels. I still haven't decided what to do about that. I've left bug 587619 open to track that.
Comment 11 Rita Wu 2010-05-18 05:01:30 EDT
(In reply to comment #10)
> Yes. This isn't a fix for the general problem of multiple kernels. I still
> haven't decided what to do about that. I've left bug 587619 open to track that.    

OK, with v2v-0.5.4, the default kernel can boot successfully after conversion.
Comment 12 Matthew Booth 2010-07-16 12:18:17 EDT
This was released in virt-v2v-0.6.0-6.el5

Note You need to log in before you can comment on or make changes to this bug.